CREATE TABLE IF NOT EXISTS `types` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `seo_name` varchar(255) NOT NULL default '',
  `meta_title` varchar(255) NOT NULL,
  `meta_description` varchar(255) NOT NULL,
  `locations_enabled` tinyint(1) NOT NULL default '0',
  `zip_enabled` tinyint(1) NOT NULL default '0',
  `order_num` int(11) NOT NULL default '0',
  `search_type` varchar(255) NOT NULL,
  `what_search` tinyint(1) NOT NULL default '0',
  `where_search` tinyint(1) NOT NULL default '0',
  `categories_search` tinyint(1) NOT NULL default '1',
  `categories_type` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `categories_search` (`categories_search`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `levels` (
  `id` int(11) NOT NULL auto_increment,
  `type_id` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `level_description` text NOT NULL,
  `active_years` smallint(6) NOT NULL,
  `active_months` smallint(6) NOT NULL,
  `active_days` smallint(6) NOT NULL,
  `raiseup_enabled` tinyint(1) NOT NULL,
  `sticky` tinyint(1) NOT NULL,
  `featured` tinyint(1) NOT NULL,
  `title_enabled` tinyint(1) NOT NULL default '1',
  `seo_title_enabled` tinyint(1) NOT NULL default '1',
  `meta_enabled` tinyint(1) NOT NULL default '1',
  `description_mode` varchar(30) NOT NULL default 'enabled',
  `description_length` int(11) NOT NULL default '500',
  `categories_number` smallint(6) NOT NULL,
  `locations_number` smallint(6) NOT NULL default '1',
  `preapproved_mode` tinyint(1) NOT NULL,
  `order_num` int(11) NOT NULL default '0',
  `logo_enabled` tinyint(1) NOT NULL default '0',
  `logo_size` varchar(9) NOT NULL default '',
  `images_count` int(11) NOT NULL default '0',
  `images_size` varchar(9) NOT NULL default '',
  `images_thumbnail_size` varchar(9) NOT NULL default '',
  `video_count` int(11) NOT NULL default '0',
  `video_size` varchar(9) NOT NULL default '',
  `files_count` int(11) NOT NULL default '0',
  `maps_enabled` tinyint(1) default '0',
  `maps_size` varchar(9) default NULL,
  `option_print` tinyint(1) NOT NULL default '0',
  `option_pdf` tinyint(1) NOT NULL default '0',
  `option_quick_list` tinyint(1) NOT NULL default '0',
  `option_email_friend` tinyint(1) NOT NULL default '0',
  `option_email_owner` tinyint(1) NOT NULL default '0',
  `option_report` tinyint(1) NOT NULL default '0',
  `social_bookmarks_enabled` tinyint(1) NOT NULL default '0',
  `ratings_enabled` tinyint(1) NOT NULL,
  `reviews_mode` varchar(255) NOT NULL default 'disabled',
  `reviews_richtext_enabled` tinyint(1) NOT NULL default '0',
  `titles_template` varchar(255) NOT NULL default '%CUSTOM_TITLE%',
  `allow_to_edit_active_period` TINYINT(1) NOT NULL DEFAULT '0',
  `after_listings_expiration` int(11) NOT NULL,
  `after_listings_claim` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `type_id` (`type_id`),
  KEY `order_num` (`order_num`),
  KEY `sticky` (`sticky`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;